commit:     d956f3c61d5f808190bd4d5fd717256c1474e05e
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 22 21:24:06 2016 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Fri Jul 22 21:24:23 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d956f3c6

app-emulation/open-vm-tools: bump to 10.0.7

Package-Manager: portage-2.3.0_p15

 app-emulation/open-vm-tools/Manifest               |   1 +
 .../open-vm-tools/open-vm-tools-10.0.7.ebuild      | 118 +++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/app-emulation/open-vm-tools/Manifest 
b/app-emulation/open-vm-tools/Manifest
index f7d34bc..6f44ce6 100644
--- a/app-emulation/open-vm-tools/Manifest
+++ b/app-emulation/open-vm-tools/Manifest
@@ -1,4 +1,5 @@
 DIST open-vm-tools-10.0.0-3000743.tar.gz 4161070 SHA256 
5adef80f43186aff426f4f22b4b31b514d18a1dcc3334d56ed22d2e308803971 SHA512 
0529e619b7cc012f3ebb78252157cb6d54c640a701de16516e1125b7147ea2e49f685fbdbbff6de73f2c3d8db87c5f406f8128ba0fcf12e37bc3d66085578c54
 WHIRLPOOL 
f4355d86a4f7d835b6481ff4d7d09786d46ce8107e139fb603f117df41c00a380b7e4f69773b48944ae347d762a02497093828f7820209e7c1c6b5a814312167
+DIST open-vm-tools-10.0.7-3227872.tar.gz 4009790 SHA256 
49520ccfed7bf3e51567eb9139f70d6dac6a58c3db99c306ce66f2179ec580ce SHA512 
5838c971a41540cb54ddf83400d2b728bae3245765b6e7d80e7f4be4035308f045ea4a735abafb2a7accbd90c6fe4c381dabd102a98be08a7ee08feab03bfa8b
 WHIRLPOOL 
4384e86073450fafef350aa3da7e9e60e56d1b2844d52260ea03865cb6fcf1ed753ec57dd321a7cd7f15e13b7b8200d2f51d6db633990f38a7cd780d6bca2604
 DIST open-vm-tools-9.10.0-2476743.tar.gz 4093306 SHA256 
e146ad53d744d7793ee72c5271fc49a916613534c14827c227fdaef4b3579c96 SHA512 
8c8e4a559c0374e020c8261d4c8f6855efbe3f509745ee02ec03ab9ebce7e1327ec1e5e18f674cb464630ace9dc33b4262ffd119fc237c286ee44327e4590385
 WHIRLPOOL 
162aba889e249ac229e003a57753ff78b86f612a0753ae83f9de52eb1d0ae0a11aee0279c192eb073dabc76d718747c614d4122395abfc8c8d0f9d80a903189a
 DIST open-vm-tools-9.10.2-2822639.tar.gz 4044062 SHA256 
6c5a7f88b597585a273fb9918fdb9201c79e30731a765fbec1acda14d1f3d74c SHA512 
0a0683b1d86ff1926517c882943c30267f04710bdd9a70bf7aa75534d64480c3cc2cf5eae5655ed228d4e140129f46efeb2cdbbb8191b142756ad359cec58b72
 WHIRLPOOL 
7a15d5561fcd52c32c668d8da86ada5a850b4fdaac373f9850c4906b4939ebf620a2ef7740b8a15e513ececb95bd02b285ea5632860bea87df666fcef539ef5f
 DIST open-vm-tools-9.4.0-1280544.tar.gz 3659504 SHA256 
5d30652eb0f6dc5e930781029c184837e700be5543b6a7116db4c62a6f3ca399 SHA512 
07b36f49713140606f74864b59c2e01c9ed83a960dd3f5d172b84fc75e760f7370065774a0e26897924af60454c86b682ca0fd32276b0e9fb17b268247f8cbdf
 WHIRLPOOL 
88533768cf718de3b5f64e688597209fa2029d02cdf350d7fd05ec8dd8ca0f0c125a8d1445c1ec9287bc486076d5c335f3cc615c3f0b9aa7bac84e921da4c9e6

diff --git a/app-emulation/open-vm-tools/open-vm-tools-10.0.7.ebuild 
b/app-emulation/open-vm-tools/open-vm-tools-10.0.7.ebuild
new file mode 100644
index 0000000..9570dda
--- /dev/null
+++ b/app-emulation/open-vm-tools/open-vm-tools-10.0.7.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools flag-o-matic pam systemd toolchain-funcs user
+
+DESCRIPTION="Opensourced tools for VMware guests"
+HOMEPAGE="https://github.com/vmware/open-vm-tools";
+MY_P="${P}-3227872"
+SRC_URI="https://github.com/vmware/open-vm-tools/files/133266/${MY_P}.tar.gz";
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X doc grabbitmqproxy icu pam +pic vgauth xinerama"
+
+RDEPEND="
+       dev-libs/glib:2
+       dev-libs/libdnet
+       sys-apps/ethtool
+       sys-fs/fuse
+       >=sys-process/procps-3.3.2
+       grabbitmqproxy? ( dev-libs/openssl:0 )
+       icu? ( dev-libs/icu:= )
+       pam? ( virtual/pam )
+       vgauth? (
+               dev-libs/openssl:0
+               dev-libs/xerces-c
+               dev-libs/xml-security-c
+       )
+       X? (
+               dev-cpp/gtkmm:2.4
+               x11-base/xorg-server
+               x11-drivers/xf86-input-vmmouse
+               x11-drivers/xf86-video-vmware
+               x11-libs/gtk+:2
+               x11-libs/libnotify
+               x11-libs/libX11
+               x11-libs/libXtst
+       )
+       xinerama? ( x11-libs/libXinerama )
+"
+
+DEPEND="${RDEPEND}
+       doc? ( app-doc/doxygen )
+       virtual/pkgconfig
+       sys-apps/findutils
+"
+
+S="${WORKDIR}/${MY_P}"
+PATCHES=(
+       "${FILESDIR}/9.10.0-vgauth.patch"
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # libsigc++-2.0 >= 2.5.1 requires C++11. Using -std=c++11
+       # does not provide "linux" definition, we need gnu++11
+       append-cxxflags -std=gnu++11
+
+       local myeconfargs=(
+               --disable-deploypkg
+               --disable-static
+               --disable-tests
+               --with-procps
+               --with-dnet
+               --without-kernel-modules
+               $(use_enable doc docs)
+               $(use_enable grabbitmqproxy)
+               $(use_enable vgauth)
+               $(use_enable xinerama multimon)
+               $(use_with icu)
+               $(use_with pam)
+               $(use_with pic)
+               $(use_with X gtk2)
+               $(use_with X gtkmm)
+               $(use_with X x)
+       )
+
+       econf "${myeconfargs[@]}"
+
+       # Bugs 260878, 326761
+       find . -name Makefile -exec sed -i -e 's/-Werror//g' '{}' +  || die 
"sed out Werror failed"
+}
+
+src_install() {
+       emake DESTDIR="${D%/}" install
+       dodoc AUTHORS NEWS ChangeLog README
+       prune_libtool_files --modules
+
+       rm "${ED%/}"/etc/pam.d/vmtoolsd
+       pamd_mimic_system vmtoolsd auth account
+
+       newinitd "${FILESDIR}/open-vm-tools.initd" vmware-tools
+       newconfd "${FILESDIR}/open-vm-tools.confd" vmware-tools
+       systemd_dounit "${FILESDIR}"/vmtoolsd.service
+
+       if use X; then
+               fperms 4755 /usr/bin/vmware-user-suid-wrapper
+               dobin scripts/common/vmware-xdg-detect-de
+
+               insinto /etc/xdg/autostart
+               doins "${FILESDIR}"/open-vm-tools.desktop
+
+               elog "To be able to use the drag'n'drop feature of VMware for 
file"
+               elog "exchange, please add the users to the 'vmware' group."
+       fi
+}
+
+pkg_postinst() {
+       enewgroup vmware
+}

Reply via email to